> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/validators/protocols/hyperliquid-hype.md).

# HyperLiquid (HYPE)

## Validators

Kiln offers Hyperliquid staking through our partnership with IMC. All HYPE delegated through Kiln will be delegated to IMC’s validator infrastructure. Please make sure you contact you Kiln sales representative before staking

| Name | Address                                    |
| ---- | ------------------------------------------ |
| CMI  | 0x4e256d24da830290d10f425b44f3e9439394385a |

<br>

## Overview

| Metric                            | Value                                                                                                                                                                                 |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Stake activation time**         | 1 minute — delegation starts earning in the next reward cycle.                                                                                                                        |
| **Auto-compounding**              | Yes                                                                                                                                                                                   |
| **Unbonding time**                | 7 days for unstaking/withdrawal from the staking account                                                                                                                              |
| **Re-delegating activation time** | Yes, redelegation is possible; delegators can change validators. I would treat the exact transition timing as \~1 minute / epoch                                                      |
| **Rewards frequency**             | Every Epoch - 1 minute                                                                                                                                                                |
| **Minimum Stake**                 | 10,000 HYPE self-stake for the validator                                                                                                                                              |
| **Active set**                    | Yes - 25                                                                                                                                                                              |
| **Slashing**                      | No automatic protocol slashing currently. Validators can, however, face operational consequences such as being unable to participate effectively if they have downtime/latency issues |

\
How can I stake today?
----------------------

\
Staking today can be achieved in three different ways\
\
1\. Directly via a supported wallet to the Hyperliquid dashboard: <https://app.hyperliquid.xyz/staking>\
2\. Using WalletConnect - this is supported for Fireblocks customers\
3\. Utilising Hyperliquids API and RAW signing (specifically for Fireblocks Customers)<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/hyperliquid-hype.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
